Subject: bug#14732: Package dos-mode for ELPA

From: Arni Magnusson <[email-masked]>
Date: Tue, 2 Jul 2013 00:12:41 +0000 (GMT)

> However, to accept such changes into Emacs, you will need to do legal 
> paperwork

Great. I have signed an FSF agreement regarding Texinfo, and I'm more than 
willing to do the same for Emacs.

If bolstering `bat-generic-mode' is not the best option, I would be 
equally happy to prepare a derived mode and call it something like 
`bat-mode' or `dos-mode'. If we select the best parts from my current 
http://www.emacswiki.org/emacs/download/dos.el, I will scrap the old 
remains, so we probably wouldn't have to worry about a name clash.

It seems like deriving from `prog-mode' might be a good design option, 
since that's what `sh-mode' is derived from.